Holger's Java API

## com.antelmann.crm
Interface RoleManager<R extends Role<?>>

All Superinterfaces:
  TransactionRequired

    public interface RoleManager<R extends Role<?>>

extends TransactionRequired

Provides convenience for dealing with roles assuming that.

Since:
  09.09.2010, 11:12:34
Author:
  Robert Gerling

Method Summary
`R` `getRole(DBReference baseEntry)` returns the first role found of the specified type or `null`
`Collection<R>` `getRoles(DBReference baseEntry)` returns a collection of roles for the given base entry or an empty collection
`boolean` `hasRoles(DBReference baseEntry)` determines whether there are roles of type R for the given base entry
`boolean` `isAllowMultipleRoles()` determines whether it is allowed or not to have multiple role instances of type R for one instance of the base type

Method Detail

### hasRoles

    boolean hasRoles(DBReference baseEntry)
                     throws DatabaseException

  determines whether there are roles of type R for the given base entry

  Throws:
    `DatabaseException`

### getRoles

    Collection<R> getRoles(DBReference baseEntry)
                                           throws DatabaseException

  returns a collection of roles for the given base entry or an empty collection

  Throws:
    `DatabaseException`

### getRole

    R getRole(DBReference baseEntry)
                              throws DatabaseException

  returns the first role found of the specified type or `null`

  Throws:
    `DatabaseException`

### isAllowMultipleRoles

    boolean isAllowMultipleRoles()

  determines whether it is allowed or not to have multiple role instances of type R for one instance of the base type

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads